<?php
/*
Plugin Name: WP RSlogin
Plugin URI: http://www.sutanaryan.com/freebies/plugins/wp-rslogin/
Description: An elegant jQuery Ajax Wordpress plugin that helps your users login without touching in the admin panel.
Author: Ryan Sutana
Version: 1.1.0
Author URI: http://www.sutanaryan.com/
*/

include_once ( dirname(dirname(dirname(dirname(dirname(__FILE__))))).'/wp-config.php' );
include_once ( ABSPATH . '/wp-load.php' );
include_once ( ABSPATH . WPINC . '/registration.php' );

global $wpdb, $user_ID;

if(isset($_POST['task']) && $_POST['task'] == 'login' ) {

	$username = $wpdb->escape(trim($_POST['username']));
	$password = $wpdb->escape(trim($_POST['password']));
	(isset($_POST['rememberme']) ? $rememberme = $_POST['rememberme'] : $rememberme = 'false');
	
	if( $username == "" || $password == "" ) {
		echo 0;
	}  else {
		$user = array();
		$user['user_login'] = $username;
		$user['user_password'] = $password;
		$user['remember'] = $rememberme;
		$user_verify = wp_signon( $user, false );
		
		if ( is_wp_error($user_verify) ) {
			echo 2;
		} else {
			wp_set_current_user($user_verify->ID);
			echo 3;
		}
	}
	
}

?>